aboutsummaryrefslogtreecommitdiffstatshomepage
diff options
context:
space:
mode:
-rw-r--r--lib/libotputil/libotputil.sym7
-rw-r--r--lib/libotputil/lrfc2289-otp.c8
2 files changed, 11 insertions, 4 deletions
diff --git a/lib/libotputil/libotputil.sym b/lib/libotputil/libotputil.sym
index 148d615..647def9 100644
--- a/lib/libotputil/libotputil.sym
+++ b/lib/libotputil/libotputil.sym
@@ -62,31 +62,38 @@ otputil_bvbase32
62otputil_bvcmp 62otputil_bvcmp
63otputil_bvdup 63otputil_bvdup
64otputil_bvfree 64otputil_bvfree
65#
65# memory functions 66# memory functions
66otputil_free 67otputil_free
67otputil_get_param 68otputil_get_param
68otputil_initialize 69otputil_initialize
69otputil_set_param 70otputil_set_param
71#
70# misc functions 72# misc functions
71otputil_err2string 73otputil_err2string
72otputil_getpass 74otputil_getpass
73otputil_md2str 75otputil_md2str
74otputil_str2md 76otputil_str2md
77#
75# front-end functions 78# front-end functions
76otputil_code 79otputil_code
77otputil_str 80otputil_str
78otputil_timer 81otputil_timer
82#
79# HOTP functions (RFC 4226) 83# HOTP functions (RFC 4226)
80otputil_hotp_code 84otputil_hotp_code
81otputil_hotp_str 85otputil_hotp_str
86#
82# OTP functions (RFC 2289) 87# OTP functions (RFC 2289)
83otputil_otp_decode 88otputil_otp_decode
84otputil_otp_decode_len 89otputil_otp_decode_len
85otputil_otp_encode 90otputil_otp_encode
86otputil_otp_encode_len 91otputil_otp_encode_len
92#
87# S/KEY functions (RFC 1760) 93# S/KEY functions (RFC 1760)
88otputil_skey_dict_value 94otputil_skey_dict_value
89otputil_skey_dict_word 95otputil_skey_dict_word
96#
90# TOTP functions (RFC 6238) 97# TOTP functions (RFC 6238)
91otputil_totp_code 98otputil_totp_code
92otputil_totp_str 99otputil_totp_str
diff --git a/lib/libotputil/lrfc2289-otp.c b/lib/libotputil/lrfc2289-otp.c
index 0469ae5..f18eadd 100644
--- a/lib/libotputil/lrfc2289-otp.c
+++ b/lib/libotputil/lrfc2289-otp.c
@@ -74,10 +74,10 @@ otputil_otp_encode_word(
74///////////////// 74/////////////////
75#pragma mark - Functions 75#pragma mark - Functions
76 76
77//---------------// 77//--------------------//
78// OTP functions // 78// encoding functions //
79//---------------// 79//--------------------//
80#pragma mark OTP functions (RFC 2289) 80#pragma mark encoding functions
81 81
82otputil_bv_t * 82otputil_bv_t *
83otputil_otp_decode( 83otputil_otp_decode(